> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete connectorshistory



## OpenAPI

````yaml /api-reference/4.2/service-connectors-history.json delete /connectors/history/{id}
openapi: 3.0.0
info:
  version: 4.2.3-SNAPSHOT
  title: 'Fusion Service connectors-history:'
servers:
  - url: /api/apollo/
security: []
tags:
  - name: connectors
paths:
  /connectors/history/{id}:
    delete:
      tags:
        - 4.2 Connectors History API
      operationId: removeHistory
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: successful operation

````